Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.parlay.access
Interface ParlayAccessMBean

public interface ParlayAccessMBean

OSA Access MBean interface

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `ericssonAuthentication` Enables authentication towards Ericsson NRG Parlay GW

Method Summary
`void` | `activateMapping(int mappingId)` Activate an existing mapping
`void` | `addClient(String osaClientAppId, String clientKeyFile, String clientCertFile, String clientKeyPwd, String keystorePwd)` Adds an OSA client.
`int` | `addConnection(int gwId, String nsRef, String nsName, String initialRef, int priority)` Adds a connection to an existing OSA gateway.
`int` | `addConnectionIOR(int gwId, String ior, String ns, int priority)` Adds a connection to an existing OSA gateway.
`int` | `addGw(String name, String osaFwCert, int reAuthWaitTime, String keystorePwd)` Adds an OSA gateway.
`int` | `addMapping(String serviceProviderID, String applicationID, String serviceType, String osaClientAppId, String properties, String authType, String encryptionMethod, String signingAlgorithm, int gatewayId, boolean initConnection)` Adds a client mapping.
`boolean` | `getEricssonAuthentication()`
`int[]` | `listActiveMappings()` Lists all active mappings.
`int[]` | `listActiveMappingsForGw(int gwId)` Lists the active client mappings for a specific gateway.
`GwDescr[]` | `listGw()` Lists the configured OSA gateways.
`ClientOsaMappingDescr[]` | `listMappings()` Lists the configured client mappings.
`void` | `removeClient(String osaClientAppId, String keystorePwd)` Removes an OSA client.
`void` | `removeConnection(int gatewayId, int connectionId)` Removes a connection from an OSA gateway.
`void` | `removeGw(int id, String keystorePwd)` Removes an OSA gateway.
`void` | `removeMapping(int id)` Removes a client mapping.
`void` | `setEricssonAuthentication(boolean enabled)`
`String` | `setKeyStorePassword(String newPassword, String oldPassword)` Set the password that protects the keystore.
`ActiveMappingDescr` | `viewActiveMappingState(int mappingId)` Displays the state of an active mapping.

Field Detail

### ericssonAuthentication

    public static final boolean ericssonAuthentication

  Enables authentication towards Ericsson NRG Parlay GW

  See Also:
    Constant Field Values

Method Detail

### activateMapping

    public void activateMapping(int mappingId)
                         throws ManagementException

  Activate an existing mapping

  Parameters:
    `mappingId` - The id of the mapping.
  Throws:
    `ManagementException`

### addClient

    public void addClient(String osaClientAppId,
                          String clientKeyFile,
                          String clientCertFile,
                          String clientKeyPwd,
                          String keystorePwd)
                   throws ManagementException

  Adds an OSA client. This methods adds the security information (key and cert) for an OSA client and associates it with an id in the keystore. The key is fed to the keystore and the cert used to verify the key correctness at feed time.

  Parameters:
    `osaClientAppId` - The OSA client app id (and alias in keystore)
    `clientKeyFile` - The client private key file.
    `clientCertFile` - The client public certificate file.
    `clientKeyPwd` - The password protecting the client key file.
    `keystorePwd` - The password that protects the keystore.
  Throws:
    `ManagementException`

### addConnection

    public int addConnection(int gwId,
                             String nsRef,
                             String nsName,
                             String initialRef,
                             int priority)
                      throws ManagementException

  Adds a connection to an existing OSA gateway.

  Parameters:
    `gwId` - The id of the gateway to add connection to.
    `nsRef` - File containing IOR to name service. (leave blank if connInfo.initialRef is specified)
    `nsName` - The name of initial object in name service, e.g. parlay_initial. Use path syntax e.g. /parlay/fw/parlay_inital to specify recursive naming contexts. (leave blank if connInfo.initialRef is specified)
    `initialRef` - File containing IOR to parlay intial object. (leave blank if connInfo.nsRef and connInfo.nsName is specified)
    `priority` - int, priority of this connection. Should be unique across all connections. The smaller the number, the higher the priority.
  Returns:
    The id of the added connection.
  Throws:
    `ManagementException`

### addConnectionIOR

    public int addConnectionIOR(int gwId,
                                String ior,
                                String ns,
                                int priority)
                         throws ManagementException

  Adds a connection to an existing OSA gateway.

  Parameters:
    `gwId` - The id of the gateway to add connection to.
    `ior` - IOR string of either the NS or the initial object
    `ns` - Name of initial object in name service (leave blank if IOR to the initial object is specified)
    `priority` - int, priority of this connection. Should be unique across all connections. The smaller the number, the higher the priority.
  Returns:
    The id of the added connection.
  Throws:
    `ManagementException`

### addGw

    public int addGw(String name,
                     String osaFwCert,
                     int reAuthWaitTime,
                     String keystorePwd)
              throws ManagementException

  Adds an OSA gateway.

  Parameters:
    `name` - Descriptive name of the gateway.
    `osaFwCert` - The certificate file of the OSA gateway
    `reAuthWaitTime` - The time in seconds to wait before reattempting authentication and manager obtain if all connections are down.
    `keystorePwd` - The password that protects the keystore.
  Returns:
    The id of the added gateway.
  Throws:
    `ManagementException`

### addMapping

    public int addMapping(String serviceProviderID,
                          String applicationID,
                          String serviceType,
                          String osaClientAppId,
                          String properties,
                          String authType,
                          String encryptionMethod,
                          String signingAlgorithm,
                          int gatewayId,
                          boolean initConnection)
                   throws ManagementException

  Adds a client mapping.

  Parameters:
    `serviceProviderID` - Service provider.
    `applicationID` - Application
    `serviceType` - Service type.
    `osaClientAppId` - The OSA application id.
    `properties` - OSA service properties to use in lookup. The properties are specified as a space separated list in the following way: ...
    `authType` - Authentication method, i.e. P_AUTHENTICATION or P_OSA_AUTHENTICATION. In case of P_AUTHENTICATION, no encryption or signing algorithm will be used.
    `encryptionMethod` - Encryption method. Leave blank to use default value.
    `signingAlgorithm` - Signing algoritm. Leave blank to use default value.
    `gatewayId` - The id of the gateway to use.
    `initConnection` - Indicates if the connection to OSA Gwy should be initialized immediately, i.e. authentication performed.
  Returns:
    The id of the added mapping. NOTE: it is possible to use ('*','*') or (SP, '*') to indicate wildcards for the parameters (mapping.serviceProviderID, mapping.applicationID)
  Throws:
    `ManagementException`

### getEricssonAuthentication

    public boolean getEricssonAuthentication()
                                      throws ManagementException

  Throws:
    `ManagementException`

### listActiveMappings

    public int[] listActiveMappings()
                             throws ManagementException

  Lists all active mappings.

  Returns:
    List of mapping ids.
  Throws:
    `ManagementException`

### listActiveMappingsForGw

    public int[] listActiveMappingsForGw(int gwId)
                                  throws ManagementException

  Lists the active client mappings for a specific gateway.

  Parameters:
    `gwId` - The id of the gateway.
  Returns:
    List of mapping ids.
  Throws:
    `ManagementException`

### listGw

    public GwDescr[] listGw()
                     throws ManagementException

  Lists the configured OSA gateways.

  Returns:
    List of configured gateways.
  Throws:
    `ManagementException`

### listMappings

    public ClientOsaMappingDescr[] listMappings()
                                         throws ManagementException

  Lists the configured client mappings.

  Returns:
    List of configured mappings.
  Throws:
    `ManagementException`

### removeClient

    public void removeClient(String osaClientAppId,
                             String keystorePwd)
                      throws ManagementException

  Removes an OSA client.

  Parameters:
    `osaClientAppId` - The OSA client app id (and alias in keystore)
    `keystorePwd` - The password that protects the keystore.
  Throws:
    `ManagementException`

### removeConnection

    public void removeConnection(int gatewayId,
                                 int connectionId)
                          throws ManagementException

  Removes a connection from an OSA gateway.

  Parameters:
    `gatewayId` - The id of the gateway.
    `connectionId` - The id of the connection.
  Throws:
    `ManagementException`

### removeGw

    public void removeGw(int id,
                         String keystorePwd)
                  throws ManagementException

  Removes an OSA gateway.

  Parameters:
    `id` - The id of the gateway to remove.
  Throws:
    `ManagementException`

### removeMapping

    public void removeMapping(int id)
                       throws ManagementException

  Removes a client mapping.

  Parameters:
    `id` - id of the mapping to remove.
  Throws:
    `ManagementException`

### setEricssonAuthentication

    public void setEricssonAuthentication(boolean enabled)
                                   throws ManagementException

  Throws:
    `ManagementException`

### setKeyStorePassword

    public String setKeyStorePassword(String newPassword,
                                      String oldPassword)
                               throws ManagementException

  Set the password that protects the keystore.

  Parameters:
    `newPassword` - The new password.
    `oldPassword` - The old password.
  Returns:
    Result from keystore.
  Throws:
    `ManagementException`

### viewActiveMappingState

    public ActiveMappingDescr viewActiveMappingState(int mappingId)
                                              throws ManagementException

  Displays the state of an active mapping.

  Parameters:
    `mappingId` - The id of the mapping.
  Returns:
    List of configured mappings.
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD